#require File.expand_path('../lib/generators/layout/layout_generator', File.dirname(__FILE__))
require 'test_helper'
require 'generators/layout/layout_generator'

class LayoutGeneratorTest < Rails::Generators::TestCase
  tests LayoutGenerator
  destination File.expand_path("./tmp", File.dirname(__FILE__))
  def setup
    FileUtils.rm_rf(File.expand_path("./tmp/.", File.dirname(__FILE__)))
  end

  test "Assert all files are properly created" do
    run_generator %w(simple)
    assert_directory "public/simple/images"
    assert_file "public/simple/styles.css"
    assert_file "public/simple/index.html"
    assert_file "app/views/layouts/simple.html.erb"
  end
end
